Fly.io
Volumes

List Volumes

View as Markdown

List all volumes associated with a specific app.

GET
/apps/{app_name}/volumes

List all volumes associated with a specific app.

Authorization

bearerAuth
AuthorizationBearer <token>

A Fly.io access token. Create one with fly tokens create.

In: header

Path Parameters

app_name*string

Fly App Name

Query Parameters

summary?boolean

Only return summary info about volumes (omit blocks, block size, etc)

Response Body

application/json

curl -X GET "https://example.com/apps/string/volumes"
[  {    "attached_alloc_id": "string",    "attached_machine_id": "string",    "auto_backup_enabled": true,    "block_size": 0,    "blocks": 0,    "blocks_avail": 0,    "blocks_free": 0,    "bytes_total": 0,    "bytes_used": 0,    "created_at": "string",    "encrypted": true,    "fstype": "string",    "host_status": "ok",    "id": "string",    "name": "string",    "region": "string",    "size_gb": 0,    "snapshot_retention": 0,    "state": "string",    "type": "local",    "zone": "string"  }]